Bug 1793893 - [RFE][usability]It was not clear when uninstalling an operator that works for all namespaces
Summary: [RFE][usability]It was not clear when uninstalling an operator that works for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-22 08:29 UTC by Fan Jia
Modified: 2020-08-11 09:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:25:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4137 None closed Bug 1793893: Make clear what uninstalling an operator that works for all namespaces does 2020-09-29 14:28:47 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:26:26 UTC

Description Fan Jia 2020-01-22 08:29:05 UTC
Description of problem:
It was not clear when uninstalling an operator that works for all namespaces, whether it was uninstalled for a particular namespace or all namespaces.
1.One user questioned if he could uninstall an operator from a specific namespace without impacting other namespaces.
2.User will receive the message: “This will remove the operator from openshift-operators. “ but it was not clear this means all namespaces.

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2020-01-21-205041

Comment 2 shahan 2020-02-10 11:46:21 UTC
When uninstall all-namespaced install mode operators, the console will say:
Uninstall Anchore Engine Operator?

This will remove the operator from all namespaces. Your application will keep running, but it will no longer receive updates or configuration changes.
4.4.0-0.nightly-2020-02-09-220310

Comment 4 errata-xmlrpc 2020-05-04 11:25:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.